<script>
    var requireJS = [];

    loadJS(requireJS, '/js/common.js');
    loadCSS('css/flags/flags.min.css');
</script>

<div class="container-fluid">
    <div class="row">
        <div class="col-12 nav-item">
            <h6>
                <a href='/views/services'>
                    <i class="fa fa-arrow-left d-inline"></i>
                    <div class="d-inline" th:text="#{service.back}">Volver</div>
                </a>                
            </h6>
        </div>
        <hr/>
        <hr/>

        <div class="col-4">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h4 class="m-0 font-weight-bold text-primary" th:text="${service.serviceName}"></h4>
                </div>
                <div class="card-body">
                    <div class="float-right">
                        <img th:src="${service.defaultImage}" class="border" style="padding: 10px;" width="100" height="100"/>
                        <div class="border-bottom-success" th:text="${service.active} ? #{service.active} : #{service.inactive}"></div>
                    </div>
                    <p th:text="${service.description}" style="margin-top: 10px;"></p>

                    <ul class="list-unstyled">
                        <li>
                            <i class="fa fa-code d-inline"></i>
                            <div class="d-inline" th:text="|#{service.code}:|">Código:</div>
                            <span class="d-inline" th:text="${service.serviceCode}"></span>
                        </li>
                        <li>
                            <i class="fa fa-download d-inline"></i>
                            <div class="d-inline" th:text="|#{service.asignation}:|">Asignación:</div>
                            <span class="d-inline" th:text="${service.asignation}"></span>
                        </li>
                        <li>
                            <i class="fa fa-asterisk d-inline"></i>
                            <div class="d-inline" th:text="|#{service.type}:|">Tipo:</div>
                            <span class="d-inline" th:text="${service.serviceType}"></span>
                        </li>
                        <li>
                            <i class="fa fa-calendar d-inline"></i>
                            <div class="d-inline" th:text="|#{service.expire}:|">Expiración:</div>
                            <span class="d-inline" th:text="${service.renovation}"></span>
                        </li>
                        <li>
                            <i class="fa fa-globe d-inline"></i>
                            <div class="d-inline" th:text="|#{service.available.for}:|">Disponible para:</div>
                            <img class="d-inline" src="/css/flags/blank.gif" class="flag" th:classappend="'flag-'+ ${#strings.toLowerCase(item)}" th:each='item : ${countries}'/>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="col-8">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary" th:text="${service.serviceName}"></h6>
                </div>
                <div class="card-body">
                    <p th:text="${service.description}">SB Admin 2 makes extensive use of Bootstrap 4 utility classes in order to reduce CSS bloat and poor page performance. Custom CSS classes are used to create custom components and custom utility classes.</p>
                    <p class="mb-0">Before working with this theme, you should become familiar with the Bootstrap framework, especially the utility classes.</p>
                </div>
            </div>
        </div>
        <div class="col-12">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary" th:text="#{service.localizations}"> Localizaciones</h6>
                </div>

                <div class="card-body row">
                    <div class="col-4  border" th:each='loc : ${service.localizations}'>                        
                        <img src="/css/flags/blank.gif" class="flag" th:classappend="'flag-'+ ${#strings.toLowerCase(loc.locCountry)}" />                    
                        <div class="form-group">
                            <div class="col-12">
                                <label th:text="#{service.name}">Nombre a mostrar</label>
                                <input type="text" th:value="${loc.displayName}" class="form-control"/>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-12">
                                <label th:text="#{service.description}">Descripción</label>
                                <textarea th:text="${loc.description}" class="form-control"></textarea>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-12">
                                <label th:text="#{service.real.cost}">Costo real: <span>EUR</span></label>
                                <input type="text" th:value="${loc.cost}" class="form-control"/>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-12">
                                <label th:text="#{service.localized.cost}">Costo localizado: <span th:text="${loc.currency}"></span></label>
                                <input type="text" th:value="${loc.localizedCost}" class="form-control"/>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

